All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::ichol0_precond< compressed_matrix< NumericT, AlignmentV > > Class Template Reference

ILU0 preconditioner class, can be supplied to solve()-routines. More...

`#include <ichol.hpp>`

## Public Member Functions

| ichol0_precond (MatrixType const &mat, ichol0_tag const &tag)
void | apply (vector< NumericT > &vec) const

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV>
class viennacl::linalg::ichol0_precond< compressed_matrix< NumericT, AlignmentV > >

ILU0 preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 172 of file ichol.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::ichol0_precond< compressed_matrix< NumericT, AlignmentV > >::ichol0_precond | ( | MatrixType const & | mat,
|  | ichol0_tag const & | tag
| ) |  |

inline

Definition at line 177 of file ichol.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::ichol0_precond< compressed_matrix< NumericT, AlignmentV > >::apply | ( | vector< NumericT > & | vec | ) | const

inline

Definition at line 185 of file ichol.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/ichol.hpp